Loading...
Searching...
No Matches
volk_32f_s32f_convert_16i.h File Reference
`#include <inttypes.h>`
`#include <limits.h>`
`#include <stdio.h>`
`#include <immintrin.h>`
`#include <emmintrin.h>`
`#include <xmmintrin.h>`
`#include <math.h>`
`#include <volk/volk_common.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32f_s32f_convert_16i_a_H

## Functions

static void | volk_32f_s32f_convert_16i_u_avx (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)
static void | volk_32f_s32f_convert_16i_u_sse2 (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)
static void | volk_32f_s32f_convert_16i_u_sse (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)
static void | volk_32f_s32f_convert_16i_generic (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)
static void | volk_32f_s32f_convert_16i_a_avx (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)
static void | volk_32f_s32f_convert_16i_a_sse2 (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)
static void | volk_32f_s32f_convert_16i_a_sse (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)
static void | volk_32f_s32f_convert_16i_neon (int16_t *outputVector, const float *inputVector, const float scalar, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32f_s32f_convert_16i_a_H

#define INCLUDED_volk_32f_s32f_convert_16i_a_H

## Function Documentation

## volk_32f_s32f_convert_16i_a_avx()

void volk_32f_s32f_convert_16i_a_avx | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convert_16i_a_sse()

void volk_32f_s32f_convert_16i_a_sse | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convert_16i_a_sse2()

void volk_32f_s32f_convert_16i_a_sse2 | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convert_16i_generic()

void volk_32f_s32f_convert_16i_generic | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convert_16i_neon()

void volk_32f_s32f_convert_16i_neon | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convert_16i_u_avx()

void volk_32f_s32f_convert_16i_u_avx | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convert_16i_u_sse()

void volk_32f_s32f_convert_16i_u_sse | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_32f_s32f_convert_16i_u_sse2()

void volk_32f_s32f_convert_16i_u_sse2 | ( | int16_t * | outputVector,
|  | const float * | inputVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static